Operations Management/Billing Management Operations
PUTBilling Management OperationsSince 3.7.2SynchronousAuth Required
UpdatePriceTable
UpdatePriceTable
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe price table UUID.
Body Fields
updatepricetableObjectRequiredupdatepricetable request body object.
nameStringOptional. The name of the price table.
descriptionStringOptional. The detailed description of the price table.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/billings/price-tables/{uuid}/actions
/zstack/v1/billings/price-tables/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/billings/price-tables/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepricetable":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "c52a6ec9d6a033daa5305a19f13448ac", "name": "price table", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
